LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-30-2019, 11:33 AM   #1876
shelldweller
LQ Newbie
 
Registered: Mar 2019
Location: Albuquerque, NM, USA
Distribution: Freenix & Slarm64
Posts: 7

Rep: Reputation: Disabled
Thumbs up


Quote:
Originally Posted by ponce View Post
modify a line in the SlackBuild like this
Yep, that did the trick, thanks.

Quote:
Originally Posted by ponce View Post
but, IMHO, this specific topic doesn't look like the proper place for an eventual discussion about an incompatibility between vmware virtual machines and vice running on them (also if under some specific conditions)...
You are absolutely correct. A bit of background: my "daily driver" is a Pinebook running Slarm64, an unsupported distro on an unsupported device for that distro. I am basically in uncharted territory here. SO, when I run into an issue with a SlackBuild, I first have to determine if it is a -current issue, a Slarm64 issue, or a Pinebook issue. I normally check for -current issues on a standard bare-metal x64 machine. However, a recent hard-drive failure fried that partition, but I still had my partition with VMWare on it, so I spun up a fresh -current VM for testing purposes. When I got the same GSOD there, I figured it was a -current issue, so I reported here. Come to find out that there is no issue on a bare-metal installation (after reformatting/repartitioninig/reinstalling -current from scratch there), hence now I have reduced my VICE issue to a Slarm64 and/or Pinebook problem.

The next step is to take this over to the Slarm64 thread. I just really thought I had a genuine -current issue after getting the same GSOD in the VM. All was not in vain, however, because you helped me with the open-vm-tools issue.

Thanks a million, keep up the excellent work.
 
Old 06-03-2019, 05:04 AM   #1877
aikempshall
Member
 
Registered: Nov 2003
Location: Bristol, Britain
Distribution: Slackware
Posts: 588

Rep: Reputation: 64
kicad (5.0.1) won't compile on current

I have an up to date system with current, ktown and multilib.

I'm using the latest kicad.SlackBuild from ponce.

Get the following error -

Quote:
-- Found Boost 1.70.0 at /usr/lib64/cmake/Boost-1.70.0
-- Requested configuration: QUIET REQUIRED
-- Found boost_headers 1.70.0 at /usr/lib64/cmake/boost_headers-1.70.0
-- Boost 1.54.0 found.
-- Found ngspice: /usr/include
-- Found SWIG: /usr/bin/swig (found suitable version "4.0.0", minimum required is "3.0")
-- Found PythonInterp: /usr/bin/python2 (found suitable version "2.7.16", minimum required is "2.6")
-- Check for installed Python Interpreter -- found
-- Python module install path: lib64/python2.7/site-packages
-- Found PythonLibs: /usr/lib64/libpython2.7.so (found suitable version "2.7.16", minimum required is "2.6")
-- wxPython version 3.0 found.
-- Found Doxygen: /usr/bin/doxygen (found version "1.8.14") found components: doxygen missing components: dot
-- Found OpenSSL: /usr/lib64/libssl.so;/usr/lib64/libcrypto.so (found version "1.1.1c")
-- S3DSG version: 2.0.0
-- Found Boost 1.70.0 at /usr/lib64/cmake/Boost-1.70.0
-- Requested configuration: QUIET REQUIRED COMPONENTS unit_test_framework
-- Found boost_unit_test_framework 1.70.0 at /usr/lib64/cmake/boost_unit_test_framework-1.70.0
-- No suitable boost_unit_test_framework variant has been identified!
-- libboost_unit_test_framework.so.1.70.0 (shared, BUILD_SHARED_LIBS not ON, set Boost_USE_STATIC_LIBS=OFF to override)
CMake Error at /usr/lib64/cmake/Boost-1.70.0/BoostConfig.cmake:95 (find_package):
Found package configuration file:

/usr/lib64/cmake/boost_unit_test_framework-1.70.0/boost_unit_test_framework-config.cmake

but it set boost_unit_test_framework_FOUND to FALSE so package
"boost_unit_test_framework" is considered to be NOT FOUND. Reason given by
package:

No suitable build variant has been found.

Call Stack (most recent call first):
/usr/lib64/cmake/Boost-1.70.0/BoostConfig.cmake:124 (boost_find_dependency)
/usr/share/cmake-3.14/Modules/FindBoost.cmake:266 (find_package)
eeschema/qa/CMakeLists.txt:24 (find_package)


-- Configuring incomplete, errors occurred!

Has anybody got any thoughts on how this can be fixed?

Alex
 
Old 06-03-2019, 05:14 AM   #1878
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,790

Original Poster
Rep: Reputation: Disabled
are you sure you are using the latest script from the repository?
I'm asking because I bumped it to 5.1.2 some time ago, adding also a patch for swig >= 4.0.0...

http://cgit.ponce.cc/slackbuilds/commit/?h=kicad

maybe you have problems syncing the repository?
in this case refer to the first post of this topic.
 
Old 06-03-2019, 07:20 AM   #1879
aikempshall
Member
 
Registered: Nov 2003
Location: Bristol, Britain
Distribution: Slackware
Posts: 588

Rep: Reputation: 64
Quote:
Originally Posted by ponce View Post
maybe you have problems syncing the repository?
in this case refer to the first post of this topic.
I did have problems with syncing the repository.

Removed my local clone and started again.

Can now see the SlackBuild for kicad-5.1.2.

As one would expect it's compiled successfully.

Sorry to have troubled you.
 
Old 06-03-2019, 08:12 AM   #1880
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,790

Original Poster
Rep: Reputation: Disabled
np, glad you solved!
 
Old 06-04-2019, 03:58 AM   #1881
aikempshall
Member
 
Registered: Nov 2003
Location: Bristol, Britain
Distribution: Slackware
Posts: 588

Rep: Reputation: 64
acpica 20180105 won't compile on current

I have an up to date system with current, ktown and multilib.

I'm using the latest acpica.SlackBuild from ponce.

Get the following error -

Quote:
In function 'strncpy',
inlined from 'AeInitializeTableHeader' at ../../../source/tools/acpiexec/aetables.c:155:5:
/usr/include/bits/string_fortified.h:106:10: error: '__builtin_strncpy' output truncated before terminating nul copying 8 bytes from a string of the same length [-Werror=stringop-truncation]
106 | return __builtin___strncpy_chk (__dest, __src, __len, __bos (__dest));
| ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
inlined from 'AeInitializeTableHeader' at ../../../source/tools/acpiexec/aetables.c:156:5:
/usr/include/bits/string_fortified.h:106:10: error: '__builtin_strncpy' output truncated before terminating nul copying 4 bytes from a string of the same length [-Werror=stringop-truncation]
106 | return __builtin___strncpy_chk (__dest, __src, __len, __bos (__dest));
| ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
If I bounce version to 20190509 I get a clean compile.

Can anyone advise?
 
Old 06-04-2019, 04:32 AM   #1882
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,790

Original Poster
Rep: Reputation: Disabled
you can also modify this line in the SlackBuild
Code:
  CFLAGS="$SLKCFLAGS -Wno-error=format-overflow" \
with
Code:
  CFLAGS="$SLKCFLAGS -Wno-error=format-overflow -Wno-error=stringop-truncation" \
thanks for the report!
 
Old Today, 07:25 AM   #1883
garpu
Member
 
Registered: Oct 2009
Distribution: Slackware
Posts: 250

Rep: Reputation: 82
So I had troubles with lilypond from Ponce's repo. It'll build, but when I tried to use it with the piece I'm currently working on, it would segfault at writing systems. The official 2.8.2 generic 64-bit package provided by lilypond would render the file.

I got 2.9.83 compiled, and it renders the file that would segfault on 2.8.2.

1.) I built fontforge with --enable-double, like lilypond recommends.
2.) the patches are no longer needed.
3.) the TeX Gyre fonts mentioned here need to be installed: http://lilypond.org/doc/v2.19/Docume...iling-lilypond
 
Old Today, 11:26 AM   #1884
drgibbon
Member
 
Registered: Nov 2014
Distribution: Slackware64 14.2
Posts: 460

Rep: Reputation: 277Reputation: 277Reputation: 277
fdkaac 0.6.3 doesn't build:
Code:
src/main.c: In function ‘main’:
src/main.c:849:32: error: ‘AACENC_InfoStruct’ {aka ‘struct <anonymous>’} has no member named ‘encoderDelay’
  849 |     if (scale_shift && (aacinfo.encoderDelay & 1)) {
      |                                ^
src/main.c:863:33: error: ‘AACENC_InfoStruct’ {aka ‘struct <anonymous>’} has no member named ‘encoderDelay’
  863 |         uint32_t delay = aacinfo.encoderDelay;
      |                                 ^
make[1]: *** [Makefile:558: src/main.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/tmp/SBo/fdkaac-0.6.3'
make: *** [Makefile:380: all] Error 2
Failures:
  fdkaac: fdkaac.SlackBuild return non-zero
sboinstall -i fdkaac  8.41s user 2.02s system 36% cpu 28.673 total
although neither does -current's ffmpeg 3.4.6 with --enable-libfdk-aac
Code:
In file included from ./libavutil/common.h:464,
                 from libavcodec/libfdk-aacenc.c:23:
./libavutil/mem.h:341:1: warning: ‘alloc_size’ attribute ignored on a function returning ‘int’ [-Wattributes]
  341 | av_alloc_size(2, 3) int av_reallocp_array(void *ptr, size_t nmemb, size_t size);
      | ^~~~~~~~~~~~~
libavcodec/libfdk-aacenc.c: In function ‘aac_encode_init’:
libavcodec/libfdk-aacenc.c:289:34: error: ‘AACENC_InfoStruct’ {aka ‘struct <anonymous>’} has no member named ‘encoderDelay’
  289 |     avctx->initial_padding = info.encoderDelay;
      |                                  ^
make: *** [ffbuild/common.mak:60: libavcodec/libfdk-aacenc.o] Error 1
sh ./ffmpeg.SlackBuild  566.47s user 35.61s system 335% cpu 2:59.58 total
 
Old Today, 11:48 AM   #1885
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,790

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by drgibbon View Post
fdkaac 0.6.3 doesn't build:
Code:
src/main.c: In function ‘main’:
src/main.c:849:32: error: ‘AACENC_InfoStruct’ {aka ‘struct <anonymous>’} has no member named ‘encoderDelay’
  849 |     if (scale_shift && (aacinfo.encoderDelay & 1)) {
      |                                ^
src/main.c:863:33: error: ‘AACENC_InfoStruct’ {aka ‘struct <anonymous>’} has no member named ‘encoderDelay’
  863 |         uint32_t delay = aacinfo.encoderDelay;
      |                                 ^
make[1]: *** [Makefile:558: src/main.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/tmp/SBo/fdkaac-0.6.3'
make: *** [Makefile:380: all] Error 2
Failures:
  fdkaac: fdkaac.SlackBuild return non-zero
sboinstall -i fdkaac  8.41s user 2.02s system 36% cpu 28.673 total
this is actually not a current-specific issue, it's the same on 14.2: version-bumping fdkaac to 1.0.0 will get it built.
please report this to the fdkaac maintainer and to the slackbuilds-users mailing list.

Quote:
although neither does -current's ffmpeg 3.4.6 with --enable-libfdk-aac
Code:
In file included from ./libavutil/common.h:464,
                 from libavcodec/libfdk-aacenc.c:23:
./libavutil/mem.h:341:1: warning: ‘alloc_size’ attribute ignored on a function returning ‘int’ [-Wattributes]
  341 | av_alloc_size(2, 3) int av_reallocp_array(void *ptr, size_t nmemb, size_t size);
      | ^~~~~~~~~~~~~
libavcodec/libfdk-aacenc.c: In function ‘aac_encode_init’:
libavcodec/libfdk-aacenc.c:289:34: error: ‘AACENC_InfoStruct’ {aka ‘struct <anonymous>’} has no member named ‘encoderDelay’
  289 |     avctx->initial_padding = info.encoderDelay;
      |                                  ^
make: *** [ffbuild/common.mak:60: libavcodec/libfdk-aacenc.o] Error 1
sh ./ffmpeg.SlackBuild  566.47s user 35.61s system 335% cpu 2:59.58 total
that's because it needs the same patch that has been applied to SBo's ffmpeg for libfdk-aac-2.0.0.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:56 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration